#!/bin/bash
echo -e "\e[1;5m\n== BioDataScience v1.0.1 installation…\e[0m"

# Ask password with a GUI (because Windows or Mac users are surprised with the default
# terminal interface where typed characters are not echoed with stars!)
mkdir -p /home/sv/.config/svbox
echo '#!/bin/bash
yad --on-top --title "sudo password prompt" \
  --text="<b>Enter your password</b>\n\nThe installer needs it for administrative tasks.\n\n" \
  --window-icon=dialog-password --image=dialog-password --borders=6 --center --fixed \
  --entry --hide-text 2> /dev/null
' > /home/sv/.config/svbox/askpass
chmod +x /home/sv/.config/svbox/askpass
export SUDO_ASKPASS="/home/sv/.config/svbox/askpass"
sudo -A ls > /dev/null

# Warn the user
notify-send "BioDataScience installation" "Please wait: installation in course... You can continue your work in the meantime."

# We need to update rmarkdown R package to v1.10
sudo -i R -q -e '.libPaths("/usr/local/lib/R/site-library"); if (packageVersion("rmarkdown") < "1.10") remotes::install_github("rstudio/rmarkdown@v1.10")'

# Install the BioDataScience package from Github
R -q -e 'remotes::install_github("BioDataScience-Course/BioDataScience")'

# Install Hugo from within blogdown
R -q -e 'blogdown::install_hugo()'

# Indicate what the user can do next
echo "BioDataScience installed... use 'BioDataScience::run() in R for a list of tutorials."
notify-send "BioDataScience installation" "BioDataScience installed... use 'BioDataScience::run() in R for a list of tutorials."
